るりまサーチ (Ruby 2.2.0)

最速Rubyリファレンスマニュアル検索!
2件ヒット [1-2件を表示] (0.065秒)

別のキーワード

  1. rubygems/user_interaction new
  2. rubygems/package/tar_writer new
  3. rubygems/user_interaction done
  4. rubygems/user_interaction count
  5. rubygems/user_interaction updated

ライブラリ

検索結果

Kernel#gem(gem_name, *version_requirements) -> bool (79180.0)

$LOAD_PATH に Ruby Gem を追加します。

$LOAD_PATH に Ruby Gem を追加します。

指定された Gem をロードする前にその Gem が必要とする Gem をロードします。
バージョン情報を省略した場合は、最も高いバージョンの Gem をロードします。
指定された Gem やその Gem が必要とする Gem が見つからなかった場合は
Gem::LoadError が発生します。

バージョンの指定方法に関しては Gem::Version を参照してください。

rubygems ライブラリがライブラリバージョンの衝突を検出しない限り、
gem メソッドは全ての require メソッドよりも前に実行されます。

...

Kernel#require(path) -> bool (136.0)

RubyGems を require すると、Kernel#require が Gem を 要求されたときにロードするように置き換えます。

...RubyGems を require すると、Kernel#require が Gem を
要求されたときにロードするように置き換えます。

再定義された Kernel#require を呼び出すと以下の事を行います。
Ruby のロードパスに存在するライブラリを指定した場合はその...